# Note that this is NOT a relocatable package
%define ver      1.0.6
%define rel      3
%define prefix   /usr

Summary: The Gimp Toolkit
Name: gtk+
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
Source: ftp://ftp.gimp.org/pub/gtk/v1.0/gtk+-%{ver}.tar.gz
Patch0: gtk+-%{ver}-tree.patch
BuildRoot: /tmp/gtk-root
Obsoletes: gtk
URL: http://www.gtk.org
Prereq: /sbin/install-info
Requires: glib = %{PACKAGE_VERSION}
Docdir: %{prefix}/doc

%description
The X libraries originally written for the GIMP, which are now used by
several other programs as well.

%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit
Group: X11/Libraries
Requires: gtk+ = %{PACKAGE_VERSION}
Obsoletes: gtk-devel
PreReq: /sbin/install-info

%description devel
Static libraries and header files for the GIMP's X libraries, which are
available as public libraries.  GLIB includes generally useful data
structures, GDK is a drawing toolkit which provides a thin layer over
Xlib to help automate things like dealing with different color depths,
and GTK is a widget set for creating user interfaces.

%package -n glib
Summary: Handy library of utility functions
Group: Libraries

%description -n glib
Handy library of utility functions.  Development libs and headers
are in gtk+-devel.

%prep
%setup -q
%patch0 -p1 -b .tree

# Get rid of empty .info files so they can be rebuilt properly.
rm docs/*.info

%build
SHM_FLAGS=""
%ifarch alpha
SHM_FLAGS="--disable-shm"
%endif
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --with-xinput=xfree $SHM_FLAGS
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --with-xinput=xfree $SHM_FLAGS
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

gzip -9n $RPM_BUILD_ROOT%{prefix}/info/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n glib -p /sbin/ldconfig

%postun -n glib -p /sbin/ldconfig

%post devel
/sbin/install-info %{prefix}/info/gdk.info.gz %{prefix}/info/dir
/sbin/install-info %{prefix}/info/gtk.info.gz %{prefix}/info/dir
/sbin/install-info %{prefix}/info/glib.info.gz %{prefix}/info/dir

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{prefix}/info/gdk.info.gz %{prefix}/info/dir
    /sbin/install-info --delete %{prefix}/info/gtk.info.gz %{prefix}/info/dir
    /sbin/install-info --delete %{prefix}/info/glib.info.gz %{prefix}/info/dir
fi

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/lib/libgtk.so.*
%{prefix}/lib/libgdk.so.*

%files -n glib
%defattr(-, root, root)
%{prefix}/lib/libglib.so.*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/glib
%{prefix}/include/*
%{prefix}/info/*
%{prefix}/share/aclocal/*
%{prefix}/bin/*

%changelog
* Thu Oct 8 1998 Owen Taylor <otaylor@redhat.com>
- Added patch to fix a TreeItem drawing bug.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- build with --disable-shm on alpha

* Mon Sep 22 1998 Owen Taylor <otaylor@redhat.com>
- Remove .info files, because the 1.0.6 tarball is messed
  up. (Will require texinfo to rebuild, temporarily.)

* Mon Sep 21 1998 Owen Taylor <otaylor@redhat.com>
- configure with --with-xinput=xfree 

* Sun Sep 20 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.6

* Fri Sep 11 1998 Owen Taylor <otaylor@redhat.com>
- Install glib.info

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2
- sync PACKAGE_VERSION between main package and the devel one

* Sun Jul 26 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.5

* Mon Jun  1 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.4

* Sat May 23 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.3

* Wed May 13 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 1.0.2

* Sun May  3 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.1

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

* Tue Apr  8 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.0

* Tue Apr  7 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 0.99.10

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.9
- Changed gtk home page to www.gtk.org

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.8

* Sun Mar 15 1998 Marc Ewing <marc@redhat.com>
- Added aclocal and bin stuff to file list.
- Added -k to the SMP make line.
- Added lib/glib to file list.

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.7

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Updated ftp url and changed version to 0.99.6

* Thu Mar 12 1998 Marc Ewing <marc@redhat.com>
- Reworked to integrate into gtk+ source tree
- Truncated ChangeLog.  Previous Authors:
  Trond Eivind Glomsrod <teg@pvv.ntnu.no>
  Michael K. Johnson <johnsonm@redhat.com>
  Otto Hammersmith <otto@redhat.com>
 